# Please do not change the config version unless you know what you are doing!
config_version = 16
uuidupdated = true
region_negative_min_max_updated = true

# ---------------------------------------------------------------------------------------
# Protection Stones Config
# Block configs have been moved to the blocks folder.
# To make new blocks, copy the default "block1.toml" and make another file (ex. "block2.toml")
# Does your config look messy? It's probably because of gradual config updates. Consider using the default configs.
# If you need the default configs again, you can get it from here: https://github.com/espidev/ProtectionStones/tree/master/src/main/resources
# ---------------------------------------------------------------------------------------

# Cooldown between placing protection blocks (in seconds). -1 to disable.
placing_cooldown = -1

# Set to true to not block server startup for loading the UUID cache.
# /ps add and /ps remove will not work for offline players until the cache is finished loading.
async_load_uuid_cache = false

# Whether or not to allow regions to have identical names (from /ps name).
# If this is set to true, players will have to use numbers after the name if they encounter duplicates.
allow_duplicate_region_names = false

# Time in seconds between /ps view attempts.
# Can prevent lag from spamming the command.
ps_view_cooldown = 3

# Base command for protection stones (change if conflicting with other commands)
base_command = "ps"

# Aliases for the command
aliases = [
    "pstone",
    "protectionstone",
    "protectionstones"
]

# Whether or not to drop items on the ground if the inventory is full (ex. during /ps unclaim)
# If set to false, the event will be prevented from happening, and say that inventory is full
drop_item_when_inventory_full = true

# Whether or not regions placed have to be either next to or overlapping existing regions the player already owns.
# This can make the world cleaner and have less scattered regions.
# Set the number of regions of non-adjacent regions with the permission protectionstones.adjacent.x (default is 1, -1 to bypass)
# Also can bypass with protectionstones.admin
regions_must_be_adjacent = true

# Whether or not to give players the option to merge new regions with ones they already own (overlapping)
# to create a new large region. Can merge any regions with protectionstones.admin
# Requires the permission protectionstones.merge to use (with /ps merge)
# NOTE: Due to the limitations of WorldGuard, merged regions will ignore y_radius and go from bedrock to sky
# since polygon regions can only be 2D, not 3D
allow_merging_regions = true

# Whether or not to allow merged regions to have holes in them (merging a bunch of regions in a circle with the inside not protected).
# This is only checked during the merge process, it will not unmerge regions with holes already.
allow_merging_holes = true

# Whether when players join, by default they have protection block placement toggled off (equivalent to running /ps toggle)
default_protection_block_placement_off = false

# If you do not have LuckPerms, ProtectionStones is unable to determine the limits of offline players (since it depends
# on permissions), and so it requires players to be online. Set this to true if your server does not need limits (and so
# the check is unnecessary).
allow_addowner_for_offline_players_without_lp = false

# Whether or not members of a region can /ps home to the region.
allow_home_teleport_for_members = true

[admin]
    # Whether /ps admin cleanup remove should delete regions that have members, but don't have owners (after inactive
    # owners are removed).
    # Regions that have no owners or members will be deleted regardless.
    cleanup_delete_regions_with_members_but_no_owners = true

[economy]
    # Set limits on the price for renting. Set to -1.0 to disable.
    max_rent_price = -1.0
    min_rent_price = 0.0

    # Set limits on the period between rent payments, in seconds (86400 seconds = 1 day). Set to -1 to disable.
    max_rent_period = -1
    min_rent_period = 1

    # Set taxes on regions.
    # Taxes are configured in each individual block config.
    # Whether or not to enable the tax command.
    # If you already have regions, you may want to set each one to have an autopayer (player that automatically pays taxes).
    # This can be done with /ps admin settaxautopayers, which updates every region on the server with an autopayer from their owners list.
    tax_enabled = true

    # Notify players of outstanding tax payments for the regions they own.
    tax_message_on_join = true
